Bug 538359 - Ignore Alert does not work
Summary: Ignore Alert does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-18 11:29 UTC by Tore Anderson
Modified: 2010-01-29 03:32 UTC (History)
3 users (show)

Fixed In Version: 2.2.60-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-29 03:32:41 UTC


Attachments (Terms of Use)

Description Tore Anderson 2009-11-18 11:29:54 UTC
Description of problem:

The «Ignore Alert» checkbox in the «SELinux Security Alerts» window does not work.  I have an issue with Thunderbird repeatedly attempting to make its stack executable (something to do with Sun's Java plugin - see bz 

Since the warning is triggered whenever I do something in Thunderbird's UI, the notifications are rather annoying.  So I thought I'd silence them by checking the «Ignore Alert» checkbox.  But it doesn't work, as the warning shows up again as soon as I do something in Thunderbird, and when I again check the reported error the «Ignore Alert» box is unticked.  I do know, however, that the issue is the same as before - because it reports that it has been seen hundreds of times (there's only two unique denials in the «Show all...» window).

Version-Release number of selected component (if applicable):

setroubleshoot-2.2.42-1.fc12.x86_64


How reproducible:

100%

Steps to Reproduce:
1. Do something that triggers a SELinux warning, and click the «Show» button in the warning pop-up before it disappears.
2. Check «Ignore Alert» and then press the «Close» button.
3. Repeat whatever you did in step 1.
  
Actual results:

The warning pop-up appears.


Expected results:

No warning pop-up appears.


Additional info:

http://smolt.fedoraproject.org/show?uuid=pub_86b42fbe-da62-4259-a30d-2cd2e444fbd9

Comment 1 Tore Anderson 2009-11-18 11:30:38 UTC
Forgot to actually add the TB bug I was talking about.  It's #533987.

Tore

Comment 2 Daniel Walsh 2009-12-03 22:03:32 UTC
fixed in setroubleshoot-2.2.52-1

Comment 3 Fedora Update System 2010-01-21 00:04:04 UTC
setroubleshoot-2.2.58-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0815

Comment 4 Fedora Update System 2010-01-29 03:31:37 UTC
setroubleshoot-2.2.60-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.